WIMAX_REPORT_RFKILL_(9)

NAME
wimax_report_rfkill_sw - Reports changes in the software RF switch

SYNOPSIS

void wimax_report_rfkill_sw(struct wimax_dev * wimax_dev, enum wimax_rf_state state);

ARGUMENTS

wimax_dev
    WiMAX device descriptor

state
    New state of the RF kill switch. WIMAX_RF_ON radio on, WIMAX_RF_OFF radio off.

DESCRIPTION

Reports changes in the software RF switch state to the the WiMAX stack.

The main use is during initialization, so the driver can query the device for its current software radio kill switch state and feed it to the system.

On the side, the device does not change the software state by itself. In practice, this can happen, as the device might decide to switch (in software) the radio off for different reasons.

COPYRIGHT